cancel
Showing results for 
Search instead for 
Did you mean: 
Create Post

I downloaded net-snmp 5.5.0-2.x64 & net-snmp5.61.1-.x86.  The major isue with implementation is obtaining the required version of Perl

ActivePerl Win32  x64 5.10 is only available for $999, that I have found so far, required for the net-snmp 5.5.0-2.x64 Perl Install, Strawberry Perl does not work.

ActivePerl Win 32 x86 5.12 is only available for $999, that I have found so far, required for the net-snmp5.61.1-.x86 Perl Install, Strawberry Perl does not work.

Look at the bottom of the Readme file for the versions used.  Also you can edit C:\usr\perl\NetSNMP.ppd with vim and you can see exactyly what version is required.  I.e. ARCHITECTURE NAME="MSWin32-x64-multi-thread-5.10"  from the 5.5.0-2.x64 file.

Make sure that you use obtain the proper version of Open SSL as well "Win64OpenSSL-0_9_8x.exe"  as specified when you run the install

Also the listed gnu_regex.exe at the listed site is broken.  You can download the free version of BBC Basic for Windows and repair the file

When last checked, the file gnu_regex.exe was corrupted (missing the last byte). To repair it you can use this simple BBC BASIC program:

      F% = OPENUP("gnu_regex.exe")

      PTR#F% = EXT#F%

      BPUT #F%,0

      CLOSE #F%

SNMP v3 looks to be usable for Cisco, AIX, & NetAPP devices, however the "free version" of Net-SNMP appears to be useless without the original version of Active Perl.

Recompile source code is the next step.

0 Kudos
Reply